Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractServiceInstallment

java.lang.Object
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractServiceInstallment

    public class RSCMContractServiceInstallment
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RSCMContractServiceInstallment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `int` | `getContractId()` |
  `java.time.LocalDate` | `getDateFrom()` |
  `java.time.LocalDate` | `getDateNext()` |
  `int` | `getId()` |
  `java.lang.String` | `getInstallment()` |
  `int` | `getPaymentCount()` |
  `int` | `getServiceId()` |
  `RSCMContractServiceInstallmentStatus` | `getStatus()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFrom​(java.time.LocalDate dateFrom)` |
  `void` | `setDateNext​(java.time.LocalDate dateNext)` |
  `void` | `setId​(int id)` |
  `void` | `setInstallment​(java.lang.String installment)` |
  `void` | `setPaymentCount​(int paymentCount)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setStatus​(RSCMContractServiceInstallmentStatus status)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractServiceInstallment

    public RSCMContractServiceInstallment()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getStatus

    public RSCMContractServiceInstallmentStatus getStatus()

  - ### setStatus

    public void setStatus​(RSCMContractServiceInstallmentStatus status)

  - ### getDateFrom

    public java.time.LocalDate getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.time.LocalDate dateFrom)

  - ### getDateNext

    public java.time.LocalDate getDateNext()

  - ### setDateNext

    public void setDateNext​(java.time.LocalDate dateNext)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getPaymentCount

    public int getPaymentCount()

  - ### setPaymentCount

    public void setPaymentCount​(int paymentCount)

  - ### getInstallment

    public java.lang.String getInstallment()

  - ### setInstallment

    public void setInstallment​(java.lang.String installment)